Skip to content

CreatePerson

given_namestring or null

The first name or given name of the Person.

family_namestring or null

The last name or family name of the Person.

email_addressstring, non-emptyrequired

The email address associated with the Person.

capacitynumber or null, (double)

The capacity of this Person if they are using a custom capacity instead of their Role's capacity.Note: This value can be cleared out by sending null in the request body.

role_idstring or null, (uuid)

Id of the Role to be used as the primary (default) Role for this person. If null, the unassigned role will be applied instead.

billable_utilization_targetnumber or null, (double)

The billable utilization target of this Person if they are using a custom target utilization instead of their Role's target utilization. Note: This value can be cleared out by sending null in the request body.

billableboolean

Denotes whether this Person's time worked is billable. Defaults to true for new records.

start_datestring or null, (date)

The earliest date this Person is available for resourcing on a Project. The Person's capacity prior to this date is 0%.

end_datestring or null, (date)

If this Person will have or has had their employment or contract terminated, this is the last date they are available for resourcing on a project. They will automatically be archived after this date has passed, and their capacity will drop to 0%. This value can be cleared out by sending null in the request body.

worker_typestring(WorkerType)

Denotes whether this Person is a full time employee, contractor, etc. Defaults to full_time for new records.

Enum:"full_time""contractor"
tagsArray of strings or null

A list of tags used to categorize the Person for filtering, reporting, or custom grouping.

image_urlstring or null

A publicly-accessible URL to an avatar for this Person.

{ "given_name": "string", "family_name": "string", "email_address": "string", "capacity": 0.1, "role_id": "ac4e70c8-d5be-48af-93eb-760f58fc91a9", "billable_utilization_target": 0.1, "billable": true, "start_date": "2019-08-24", "end_date": "2019-08-24", "worker_type": "full_time", "tags": [ "string" ], "image_url": "string" }